Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160668 - Latest NetworkManager in Rawhide fails with an SELinux error
Summary: Latest NetworkManager in Rawhide fails with an SELinux error
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-16 14:44 UTC by Ryan Skadberg
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-19 18:56:31 UTC


Attachments (Terms of Use)

Description Ryan Skadberg 2005-06-16 14:44:40 UTC
Getting this with NetworkManager-0.4-30.cvs20050615:

Jun 16 10:35:45 codewarrior NetworkManager: <WARNING>     (): Could not activate
the DHCP daemon /sbin/dhcdbd.  error: 'Failed to execute child process
"/sbin/dhcdbd" (Permission denied)'.
Jun 16 10:35:45 codewarrior kernel: audit(1118932545.701:1198): avc:  denied  {
execute } for  pid=6880 comm="NetworkManager" name=dhcdbd dev=dm-0 ino=2806785
scontext=system_u:system_r:NetworkManager_t tcontext=system_u:object_r:sbin_t
tclass=file


I tried doing an autorelabel and that didn't help.

Comment 1 Ryan Skadberg 2005-06-17 16:08:18 UTC
This seems to have gone away with the next update, but now I get this when it
tries to DHCP:

Jun 17 12:00:30 codewarrior dbus: avc:  denied  { send_msg } for
msgtype=method_call interface=com.redhat.dhcp member=up dest=com.redhat.dhcp
spid=3208 tpid=3260 scontext=root:system_r:NetworkManager_t
tcontext=root:system_r:NetworkManager_t tclass=dbus

Comment 2 Dan Williams 2005-06-17 16:32:29 UTC
dwalsh: this looks correct and should be allowed... 

Comment 3 Daniel Walsh 2005-06-18 02:00:53 UTC
Fixed in  policy 1.23.18-12

Comment 4 Ryan Skadberg 2005-06-19 18:56:31 UTC
Closing, works with latest Rawhide.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.